package cn.iocoder.yudao.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 维修工单状态枚举(repair_tickets_status)
 *
 * @author vinjor-m
 */
@AllArgsConstructor
@Getter
public enum TicketsStatusEnum {
    /**
     * 未派工
     */
    NO_WORK("04","未派工"),
    /**
     * 施工中
     */
    WORKING("05","施工中"),
    /**
     * 未结账
     */
    NO_PAY("01","未结账"),
    /**
     * 待通知客户取车
     */
    WAITING_NOTICE("07","待通知客户取车"),
    /**
     * 挂单/记账
     */
    ACCOUNTING("06","挂单/记账"),
    /**
     * 已结账
     */
    CHECK_OUT("02","已结账"),
    /**
     * 已作废
     */
    CANCEL("03","已作废");

    /**
     * 角色code
     */
    private String code;
    /**
     * 角色名称
     */
    private String name;

    /**
     * 根据角色code返回对应的枚举
     * @author vinjor-M
     * @date 14:23 2024/10/16
     * @param code 角色code
     * @return cn.iocoder.yudao.common.SystemEnum
     **/
    public static TicketsStatusEnum getRepairRole(String code) {
        for (TicketsStatusEnum roleEnum : TicketsStatusEnum.values()) {
            if (roleEnum.getCode().equalsIgnoreCase(code)) {
                // 找到对应的枚举
                return roleEnum;
            }
        }
        throw new IllegalArgumentException("无效的角色code：" + code);
    }

}
